<template>
  <section class="grid lg:flex lg:flex-wrap gap-4">
    <div
      class="dashboard-section dashboard-section-rows lg:flex-grow lg:w-36 xl:w-0"
    >
      <chart-bar cid="users-bar-chart"></chart-bar>

      <div class="grid gap-4">
        <dashboard-section-title
          title="Active Users"
          sub-title="than last week"
          diff="+23%"
        ></dashboard-section-title>
        <p class="text-gray-500 text-base">
          We have created multiple options for you to put together and customise
          into pixel perfect pages.
        </p>
        <div class="flex flex-nowrap justify-between">
          <div class="grid items-center justify-items-start	">
            <p class="text-2xl font-bold">3,6K</p>
            <p class="text-gray-700 text-lg font-normal">Users</p>
          </div>
          <div>
            <p class="text-2xl font-bold">2m</p>
            <p class="text-gray-700 text-lg font-normal">Clicks</p>
          </div>
          <div>
            <p class="text-2xl font-bold">$772</p>
            <p class="text-gray-700 text-lg font-normal">Sales</p>
          </div>
          <div>
            <p class="text-2xl font-bold">82</p>
            <p class="text-gray-700 text-lg font-normal">Items</p>
          </div>
        </div>
      </div>
    </div>
    <div class="dashboard-section dashboard-section-rows lg:flex-grow">
      <div class="flex flex-nowrap justify-between w-full flex-grow">
        <dashboard-section-title
          title="Sales Overview"
          sub-title="than last year"
          diff="+20%"
        ></dashboard-section-title>
        <div class="grid items-center justify-items-start">
          <div
            class="flex flex-nowrap items-center gap-3"
            v-for="(line, idx) in ['Traffic', 'Sales']"
            :key="idx"
          >
            <span
              class="w-8 h-1 rounded"
              :style="{ 'background-color': colors[idx] }"
            ></span>
            <span class="text-gray">{{ line }}</span>
          </div>
        </div>
      </div>
      <chart-line cid="line-sales-chart" :colors="colors"></chart-line>
    </div>
  </section>
</template>

<script lang="ts">
import Vue from "vue";

export default Vue.extend({
  data() {
    return {
      colors: ["#1890ff", "#b37feb"]
    };
  }
});
</script>
